Uranian midpoint tree
curl --request POST \
--url https://api.astrom8.com/api/v3/uranian/midpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"birth_date": "1990-05-15",
"birth_time": "14:30",
"birth_lat": 0,
"birth_lon": 0,
"birth_place": "<string>",
"dial_mode": 90,
"orb_max": 1
}
'import requests
url = "https://api.astrom8.com/api/v3/uranian/midpoints"
payload = {
"birth_date": "1990-05-15",
"birth_time": "14:30",
"birth_lat": 0,
"birth_lon": 0,
"birth_place": "<string>",
"dial_mode": 90,
"orb_max": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
birth_date: '1990-05-15',
birth_time: '14:30',
birth_lat: 0,
birth_lon: 0,
birth_place: '<string>',
dial_mode: 90,
orb_max: 1
})
};
fetch('https://api.astrom8.com/api/v3/uranian/midpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"birth_place": "<string>",
"meta": {
"orb_max": 123,
"computed_at": "2023-11-07T05:31:56Z"
},
"anchor": "<string>",
"midpoints": [
{
"pair": [
"<string>",
"<string>"
],
"longitude": 123,
"dial_position": 123,
"interpretation_en": "<string>",
"interpretation_th": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "payment_required",
"message": "Insufficient credits for this request",
"code": "402",
"request_id": "01HQXYZ..."
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "internal_server_error",
"message": "Could not compute Panchang.",
"code": "internal",
"request_id": "01HQXYZ..."
}Uranian
Uranian midpoint tree
POST
/
api
/
v3
/
uranian
/
midpoints
Uranian midpoint tree
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Body
application/json
Example:
"1990-05-15"
Pattern:
^\d{2}:\d{2}$Example:
"14:30"
Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Available options:
Sun, Moon, Mercury, Venus, Mars, Jupiter, Saturn, Uranus, Neptune, Pluto, Cupido, Hades, Zeus, Kronos, Apollon, Admetos, Vulkanus, Poseidon, ASC, MC, Node, Earth Required string length:
1 - 200Available options:
90, 45, 22.5 Required range:
0.25 <= x <= 3⌘I